Bugs in Pages and Yosemite

Joined
Oct 18, 2014
Messages
3
Reaction score
0
Points
1
Location
Lincoln, UK
Why do I keep getting a message that I need a newer version of Pages when I try to open a Page document when yesterday I downloaded Yosemite and its associated software
 
C

chas_m

Guest
Because you still have the old version of Pages, and it's set to be the default handler of Pages documents.

This is nothing to do with Yosemite, it is/was a common issue in Mavericks too.
 

chscag

Well-known member
Staff member
Admin
Joined
Jan 23, 2008
Messages
65,249
Reaction score
1,829
Points
113
Location
Keller, Texas
Your Mac's Specs
2017 27" iMac, 10.5" iPad Pro, iPhone 8, iPhone 11, iPhone 12 Mini, Numerous iPods, Monterey
The reason may be that you still have the older version of Pages set as the default to open documents. When installing the new version of iWork apps, the older version is not deleted but moved to a separate folder. Make certain that the new Pages is the default to open all Pages documents.
 

Shop Amazon


Shop for your Apple, Mac, iPhone and other computer products on Amazon.
We are a participant in the Amazon Services LLC Associates Program, an affiliate program designed to provide a means for us to earn fees by linking to Amazon and affiliated sites.
Top